Get OTC Active Quotes
curl --request POST \
--url https://api.kraken.com/0/private/GetOtcActiveQuotes \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"nonce": 123,
"vault_id": "456TR123"
}
'import requests
url = "https://api.kraken.com/0/private/GetOtcActiveQuotes"
payload = {
"nonce": 123,
"vault_id": "456TR123"
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 123, vault_id: '456TR123'})
};
fetch('https://api.kraken.com/0/private/GetOtcActiveQuotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/GetOtcActiveQuotes"
payload := strings.NewReader("{\n \"nonce\": 123,\n \"vault_id\": \"456TR123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [
"EGeneral:Invalid arguments"
],
"result": [
{
"expires": {
"time": 1715155200000
},
"quote_id": "00001c47-8f59-4099-b6f8-b637437ef1ab",
"base": "BTC",
"quote": "USD",
"type": "buy",
"amount": "2.5",
"settlement": "automated",
"client_order_id": "7264675290025181184",
"price": "100000.25",
"total": "250000.625"
}
]
}{
"errors": [
{
"field": null,
"value": null,
"type": "Internal Error",
"msg": "Internal error",
"severity": "E",
"errorClass": "General"
}
]
}Quotes
Get OTC Active Quotes
Retrieves a list of active OTC quotes.
API Key Permissions Required: Orders and trades - Query open orders & trades
POST
/
private
/
GetOtcActiveQuotes
Get OTC Active Quotes
curl --request POST \
--url https://api.kraken.com/0/private/GetOtcActiveQuotes \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"nonce": 123,
"vault_id": "456TR123"
}
'import requests
url = "https://api.kraken.com/0/private/GetOtcActiveQuotes"
payload = {
"nonce": 123,
"vault_id": "456TR123"
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 123, vault_id: '456TR123'})
};
fetch('https://api.kraken.com/0/private/GetOtcActiveQuotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/GetOtcActiveQuotes"
payload := strings.NewReader("{\n \"nonce\": 123,\n \"vault_id\": \"456TR123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [
"EGeneral:Invalid arguments"
],
"result": [
{
"expires": {
"time": 1715155200000
},
"quote_id": "00001c47-8f59-4099-b6f8-b637437ef1ab",
"base": "BTC",
"quote": "USD",
"type": "buy",
"amount": "2.5",
"settlement": "automated",
"client_order_id": "7264675290025181184",
"price": "100000.25",
"total": "250000.625"
}
]
}{
"errors": [
{
"field": null,
"value": null,
"type": "Internal Error",
"msg": "Internal error",
"severity": "E",
"errorClass": "General"
}
]
}Authorizations
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
Body
application/json
Request body for retrieving active OTC quotes. This endpoint allows filtering of active quotes based on specific criteria. All parameters are optional and can be used to refine the search results.
Was this page helpful?